Package xml :: Package etree :: Module ElementTree

[hide private]
[frames] | no frames]

# Module ElementTree

source code

hash(x)

Classes | [hide private]

| ElementTree
| QName
| TreeBuilder
| XMLParser
| XMLTreeBuilder
| _Element
| _ElementInterface
| _SimpleElementPath
| iterparse

Functions | [hide private]

Comment(text=None) | source code

Element(tag, attrib=`{``}`, **extra) | source code

PI(target, text=None) | source code

ProcessingInstruction(target, text=None) | source code

SubElement(parent, tag, attrib=`{``}`, **extra) | source code

XML(text) | source code

XMLID(text) | source code

_encode(s, encoding) | source code

_encode_entity(text, pattern=re.compile(r'`[`&<>"\x80`-`\uffff`]``+`')) | source code

_escape_attrib(text, encoding=None, replace=<function replace at 0x2b79b8604320>) | source code

_escape_cdata(text, encoding=None, replace=<function replace at 0x2b79b8604320>) | source code

_raise_serialization_error(text) | source code

dump(elem) | source code

fixtag(tag, namespaces) | source code

fromstring(text) | source code

iselement(element) | source code

parse(source, parser=None) | source code

tostring(element, encoding=None) | source code

Variables | [hide private]

| VERSION = ``'``1.2.6``'``
| __package__ = ``'``xml.etree``'``
| _escape = `re.compile(r'`[`&<>"\x80`-`\uffff`]``+`')`
| _escape_map = ``{``'``"``'``:` `'``&quot;``'``,` `'``&``'``:` `'``&amp;``'``,` `'``<``'``:` `'``&lt;``'``,` `'``>``'``:` `...``
| _namespace_map = ``{``'``http://schemas.xmlsoap.org/wsdl/``'``:` `'``wsdl``'``,` `...``

Variables Details | [hide private]

### _escape_map

Value:

      {'"': '&quot;', '&': '&amp;', '<': '&lt;', '>': '&gt;'}

### _namespace_map

Value:

      {'http://schemas.xmlsoap.org/wsdl/': 'wsdl',
       'http://www.w3.org/1999/02/22-rdf-syntax-ns#': 'rdf',
       'http://www.w3.org/1999/xhtml': 'html',
       'http://www.w3.org/XML/1998/namespace': 'xml'}